summaryrefslogtreecommitdiffstats
path: root/kubernetes/policy/resources/config/db_migrator_policy_init.sh
diff options
context:
space:
mode:
authorSylvain Desbureaux <sylvain.desbureaux@orange.com>2021-09-21 06:14:02 +0000
committerGerrit Code Review <gerrit@onap.org>2021-09-21 06:14:02 +0000
commite898ffbf4afccbcde888cd80709714c10377ddb5 (patch)
tree0f7138bfc01915ba93fc83252b538044fe25d7a2 /kubernetes/policy/resources/config/db_migrator_policy_init.sh
parent992d8b15fd4b66995c78758111e39d5da765a21b (diff)
parentd74fe9fbe7aab6f0b9bc37bf71237b297cd63e94 (diff)
Merge "[POLICY] Update core images/config for m4 istanbul"
Diffstat (limited to 'kubernetes/policy/resources/config/db_migrator_policy_init.sh')
-rw-r--r--kubernetes/policy/resources/config/db_migrator_policy_init.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/kubernetes/policy/resources/config/db_migrator_policy_init.sh b/kubernetes/policy/resources/config/db_migrator_policy_init.sh
new file mode 100644
index 0000000000..d1cc108fec
--- /dev/null
+++ b/kubernetes/policy/resources/config/db_migrator_policy_init.sh
@@ -0,0 +1,21 @@
+#!/bin/sh
+{{/*
+# Copyright (C) 2021 Nordix Foundation.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+*/}}
+/opt/app/policy/bin/prepare_upgrade.sh ${SQL_DB}
+/opt/app/policy/bin/db-migrator -s ${SQL_DB} -o upgrade
+rc=$?
+/opt/app/policy/bin/db-migrator -s ${SQL_DB} -o report
+exit $rc